summaryrefslogtreecommitdiffstats
path: root/gnash
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2009-09-29 14:01:30 +0000
committer Eric Hameleers <alien@slackware.com>2009-09-29 14:01:30 +0000
commit0f608378f948b4067d2f968d5460de1d861fd724 (patch)
treedabc642c2e962764c16c5f1243481bb50a7492da /gnash
parent7ed6120d58bd135e07fe91b5805f0841feb8b47a (diff)
downloadasb-0f608378f948b4067d2f968d5460de1d861fd724.tar.gz
asb-0f608378f948b4067d2f968d5460de1d861fd724.tar.xz
Initial revision
Diffstat (limited to 'gnash')
-rwxr-xr-xgnash/build/gnash.SlackBuild237
-rw-r--r--gnash/build/plugin_makefiles.patch26
-rw-r--r--gnash/build/slack-desc19
3 files changed, 282 insertions, 0 deletions
diff --git a/gnash/build/gnash.SlackBuild b/gnash/build/gnash.SlackBuild
new file mode 100755
index 00000000..73154d5a
--- /dev/null
+++ b/gnash/build/gnash.SlackBuild
@@ -0,0 +1,237 @@
+#!/bin/sh
+# Copyright (c) 2006 Eric Hameleers <alien@slackware.com>
+# Distributed under the terms of the GNU General Public License, Version 2
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: gnash
+# URL: http://www.gnu.org/software/gnash/
+# Needs: OpenGL, SDL, libxml2
+# Changelog:
+# 20060110-1:10/jan/2006 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+CWD=`pwd`
+if [ "$TMP" = "" ]; then
+ TMP=/tmp
+fi
+
+PRGNAM=gnash
+VERSION=20060110
+ARCH=${ARCH:-i486}
+BUILD=1
+
+DOCS="AUTHORS COPYING ChangeLog NEWS README"
+
+
+# If you have more source files, list them here as SOURCE[1], SOURCE[2], etc.
+# If you know the URL for a source file, you can put that into the SRCURL[]
+# variable, and the SlackBuild script will try to download it for you.
+
+SOURCE[0]="${PRGNAM}-${VERSION}.tar.gz"
+SRCURL[0]=""
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+case "$ARCH" in
+ i386) SLKCFLAGS="-O2 -march=i386 -mcpu=i686" ;;
+ i486) SLKCFLAGS="-O2 -march=i486 -mcpu=i686" ;;
+ s390) SLKCFLAGS="-O2" ;;
+ powerpc) SLKCFLAGS="-O2" ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"; LIBDIRSUFFIX="64" ;;
+ athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+esac
+
+PKG=$TMP/package-$PRGNAM
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+elif [ "$1" != "--oldbuild" ]; then
+ # If the "--oldbuild" parameter is present, we keep
+ # the old build files and continue;
+ # By default we remove the remnants of previous build and continue:
+ rm -rf $TMP/tmp-$PRGNAM/*
+fi
+
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+fi
+
+
+# --- SOURCE FILE AVAILABILITY ---
+
+for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
+ if ! [ -f ${CWD}/${SOURCE[$i]} ]; then
+ if ! [ "${SRCURL[$i]}" = "" ]; then
+ echo "Source '${SOURCE[$i]}' not available yet... will download now:"
+ wget -nv -O "${CWD}/${SOURCE[$i]}" "${SRCURL[$i]}"
+ if [ $? -ne 0 ]; then
+ echo "Downloading '${SOURCE[$i]}' failed... aborting the build."
+ exit 1
+ fi
+ else
+ echo "File '${SOURCE[$i]}' not available... aborting the build."
+ exit 1
+ fi
+ fi
+done
+
+if [ "$1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+# Safety net 8-)
+if [ "$PKG" = "" -o "$PKG" = "/" ] ; then
+ cat <<-EOT
+ Your script sucks!!!
+ You were about to delete the contents of your computer's hard disk!
+ Please provide a value for the variable 'PKG'.
+ EOT
+ exit 1
+fi
+# We always erase old package's contents:
+rm -rf $PKG/*
+
+cd $PKG
+
+# Explode the package framework:
+if [ -f $CWD/_$PRGNAM.tar.gz ]; then
+ explodepkg $CWD/_$PRGNAM.tar.gz
+fi
+
+cd $TMP/tmp-$PRGNAM
+
+
+# --- TARBALL EXTRACTION,PATCH,MODIFY ---
+
+echo "Extracting the program tarball(s) for $PRGNAM..."
+for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
+ if `file $CWD/${SOURCE[$i]} | grep -q ": bzip2"`; then
+ tar -xjvf $CWD/${SOURCE[$i]}
+ elif `file $CWD/${SOURCE[$i]} | grep -qi ": zip"`; then
+ unzip $CWD/${SOURCE[$i]}
+ else
+ tar -xzvf $CWD/${SOURCE[$i]}
+ fi
+done
+cd ${PRGNAM}-${VERSION}
+patch -p1 <$CWD/plugin_makefiles.patch 2>&1 | tee $CWD/patch-${PRGNAM}.log
+
+chown -R root.root *
+find . -perm 777 -exec chmod 755 {} \;
+
+
+# --- BUILDING ---
+
+echo Building ...
+
+CFLAGS="$SLKCFLAGS" \
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --enable-http \
+ --enable-mp3 \
+ --enable-plugin \
+ --with-firefox-libraries=/usr/lib/firefox \
+ 2>&1 | tee $CWD/configure-${PRGNAM}.log
+make 2>&1 | tee $CWD/make-${PRGNAM}.log
+
+#
+# Install all the needed stuff to the package dir
+#
+mkdir -p $PKG/usr/lib/firefox/plugins
+mkdir -p $PKG/usr/lib/mozilla/plugins
+
+# Use installwatch if available:
+which installwatch > /dev/null 2>&1
+if [ $? == 0 ]; then
+ installwatch -o $CWD/install-${PRGNAM}.log make DESTDIR=$PKG install
+else
+ make DESTDIR=$PKG install 2>&1 |tee $CWD/install-${PRGNAM}.log
+fi
+
+cp -a $PKG/usr/lib/firefox/plugins/*.so $PKG/usr/lib/mozilla/plugins/
+
+
+# --- DOCUMENTATION ---
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Move incorrectly installed man pages, if any
+[ -d $PKG/usr/share/man ] && \
+ mv $PKG/usr/share/man $PKG/usr/ && rmdir $PKG/usr/share
+# Compress the man page(s)
+gzip -9f $PKG/usr/man/*/* 2>/dev/null
+gzip -9f $PKG/usr/man/*/*/* 2>/dev/null
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+chown root:bin $PKG/usr/bin/* $PKG/usr/sbin/* $PKG/bin/* $PKG/sbin/* \
+ $PKG/usr/X11R6/bin/* $PKG/opt/kde/bin/* 2>/dev/null
+
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+if [ -f $CWD/doinst.sh ]; then
+ cat $CWD/doinst.sh > $PKG/install/doinst.sh
+fi
+# I give in :-/
+if [ -f $CWD/slack-requires ]; then
+ cat $CWD/slack-requires > $PKG/install/slack-requires
+fi
+
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
+ 2>&1 | tee $CWD/makepkg-${PRGNAM}.log
+(cd $TMP && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+if [ -f $PKG/install/slack-requires ]; then
+ cat $PKG/install/slack-requires > $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.dep
+fi
+
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi
diff --git a/gnash/build/plugin_makefiles.patch b/gnash/build/plugin_makefiles.patch
new file mode 100644
index 00000000..80ff0f3e
--- /dev/null
+++ b/gnash/build/plugin_makefiles.patch
@@ -0,0 +1,26 @@
+diff -uarN gnash-20060110.orig/plugin/Makefile.am gnash-20060110/plugin/Makefile.am
+--- gnash-20060110.orig/plugin/Makefile.am 2005-12-20 21:55:12.000000000 +0100
++++ gnash-20060110/plugin/Makefile.am 2006-01-10 21:14:55.000000000 +0100
+@@ -47,7 +47,7 @@
+ libgnash_la_DEPENDENCIES = mozilla-sdk/libmozsdk.la
+
+ install-pluginLTLIBRARIES: $(plugin_LIBRARIES)
+- cp .libs/libgnash.so $(plugindir)/libgnash.so
++ cp .libs/libgnash.so $(DESTDIR)$(plugindir)/libgnash.so
+
+ uninstall-pluginLTLIBRARIES: $(plugin_LIBRARIES)
+- rm -f $(plugindir)/libgnash.so
++ rm -f $(DESTDIR)$(plugindir)/libgnash.so
+diff -uarN gnash-20060110.orig/plugin/mozilla-sdk/Makefile.am gnash-20060110/plugin/mozilla-sdk/Makefile.am
+--- gnash-20060110.orig/plugin/mozilla-sdk/Makefile.am 2005-12-21 03:16:45.000000000 +0100
++++ gnash-20060110/plugin/mozilla-sdk/Makefile.am 2006-01-10 21:15:35.000000000 +0100
+@@ -37,7 +37,7 @@
+ np_entry.cpp
+
+ install-sdkLTLIBRARIES: $(sdk_LIBRARIES)
+- cp .libs/libmozsdk.so $(sdkdir)/libgnash.so
++ cp .libs/libmozsdk.so $(DESTDIR)$(sdkdir)/libmozsdk.so
+
+ uninstall-sdkLTLIBRARIES: $(sdk_LIBRARIES)
+- rm -f $(sdkdir)/libmozsdk.so
++ rm -f $(DESTDIR)$(sdkdir)/libmozsdk.so
diff --git a/gnash/build/slack-desc b/gnash/build/slack-desc
new file mode 100644
index 00000000..f5ad2d66
--- /dev/null
+++ b/gnash/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gnash: gnash (GNU Flash movie player)
+gnash:
+gnash: Gnash is a GNU Flash movie player. Until now it has been possible
+gnash: to play flash movies with proprietary software.
+gnash: Gnash is based on GameSWF, and supports most SWF v7 features
+gnash: and some SWF v8 and v9.
+gnash:
+gnash:
+gnash:
+gnash: gnash home: http://www.gnu.org/software/gnash/
+gnash: